commit:     1a5e92e11263033bd23e0db9e2e7b34eaefdb6a5
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 20:03:36 2021 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 21:39:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a5e92e1

media-libs/gst-rtsp-server: bump to 1.16.3

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 media-libs/gst-rtsp-server/Manifest                |  1 +
 .../gst-rtsp-server/gst-rtsp-server-1.16.3.ebuild  | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/media-libs/gst-rtsp-server/Manifest 
b/media-libs/gst-rtsp-server/Manifest
index 738af793ed1..ef2a5f0c360 100644
--- a/media-libs/gst-rtsp-server/Manifest
+++ b/media-libs/gst-rtsp-server/Manifest
@@ -1 +1,2 @@
 DIST gst-rtsp-server-1.16.2.tar.xz 693368 BLAKE2B 
612b59bc3a08167a81790c8d5164efebb8756ce3d3c9c278a0363bd640929b14d2fb1c26454a513dbaa9e093a702e7553950b6210ef57a6e9188a059c81650d3
 SHA512 
e18d87ae309594ffd7917b1804e595b83d5002518608f0ee03b9e68ab9bdf771ec2f691e50408618a6d1a39495c123e8288b3179e6cdaef65a38ef404544e0eb
+DIST gst-rtsp-server-1.16.3.tar.xz 699472 BLAKE2B 
8937ce9d0550b11657496dec5a79c00f74de4da9deb9236693a25f4e266a779c8d4f439b127c2af87c874327e10f01f6a1d74fc1cd1bd0eca20093341568cb82
 SHA512 
f9ca08cfef92b74a63279a5480cfc1b18557f3062aadc765dd4d3de57d62b9ddf3ca98a4680dcd0f050812128c5c03592cdbf9d8329b85a6c2f3a39209c07701

diff --git a/media-libs/gst-rtsp-server/gst-rtsp-server-1.16.3.ebuild 
b/media-libs/gst-rtsp-server/gst-rtsp-server-1.16.3.ebuild
new file mode 100644
index 00000000000..ca828d96142
--- /dev/null
+++ b/media-libs/gst-rtsp-server/gst-rtsp-server-1.16.3.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gstreamer
+
+DESCRIPTION="A GStreamer based RTSP server"
+HOMEPAGE="https://gstreamer.freedesktop.org/modules/gst-rtsp-server.html";
+
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples +introspection static-libs"
+
+# gst-plugins-base for many used elements and API
+# gst-plugins-good for rtprtxsend and rtpbin elements, maybe more
+# gst-plugins-srtp for srtpenc and srtpdec elements
+RDEPEND="
+       >=dev-libs/glib-2.40.0:2[${MULTILIB_USEDEP}]
+       >=media-libs/gstreamer-${PV}:${SLOT}[introspection?,${MULTILIB_USEDEP}]
+       
>=media-libs/gst-plugins-base-${PV}:${SLOT}[introspection?,${MULTILIB_USEDEP}]
+       >=media-libs/gst-plugins-good-${PV}:${SLOT}[${MULTILIB_USEDEP}]
+       >=media-plugins/gst-plugins-srtp-${PV}:${SLOT}[${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-1.31.1:= )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.12
+"
+
+# Due to gstreamer src_configure
+QA_CONFIGURE_OPTIONS="--enable-nls"
+
+multilib_src_configure() {
+       # debug: only adds -g to CFLAGS
+       # docbook: nothing behind that switch
+       # libcgroup is automagic and only used in examples
+       gstreamer_multilib_src_configure \
+               --disable-debug \
+               --disable-valgrind \
+               --disable-examples \
+               --disable-docbook \
+               --disable-gtk-doc \
+               $(multilib_native_use_enable introspection) \
+               $(use_enable static-libs static) \
+               --disable-tests \
+               LIBCGROUP_LIBS= \
+               LIBCGROUP_FLAGS=
+
+       # work-around gtk-doc out-of-source brokedness
+       if multilib_is_native_abi ; then
+               ln -s "${S}"/docs/libs/${d}/html docs/libs/${d}/html || die
+       fi
+}
+
+multilib_src_install() {
+       emake install DESTDIR="${D}"
+       # Handle broken upstream modifications to defaults of gtk-doc
+       emake install -C docs/libs DESTDIR="${D}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -name '*.la' -delete || die
+
+       if use examples ; then
+               insinto /usr/share/doc/${PF}/examples
+               doins "${S}"/examples/*.c
+       fi
+}

Reply via email to